package com.mortals.xhx.module.matter.service.impl;
import com.mortals.xhx.common.utils.WordUtil;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.matter.dao.MatterDatumPrintDao;
import com.mortals.xhx.module.matter.model.MatterDatumPrintEntity;
import com.mortals.xhx.module.matter.service.MatterDatumPrintService;
/**
* MatterDatumPrintService
* 打印提交 service实现
*
* @author zxfei
* @date 2022-12-09
*/
@Service("matterDatumPrintService")
public class MatterDatumPrintServiceImpl extends AbstractCRUDServiceImpl<MatterDatumPrintDao, MatterDatumPrintEntity, Long> implements MatterDatumPrintService {

    @Override
    protected void saveBefore(MatterDatumPrintEntity entity, Context context) throws AppException {
       // MatterDatumEntity matterDatumEntity = matterDatumService.get(entity.getMaterialId());
        Integer pageByDoc = WordUtil.getPageByDoc(entity.getDocPath());
        entity.setPage(pageByDoc);
        super.saveBefore(entity, context);
    }
}